TimeShiftControl

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ocap.shared.media
Interface TimeShiftControl

All Superinterfaces:
  Control

    public interface TimeShiftControl

extends Control

This interface represents a trick-mode control that can be used for retrieving more information corresponding to the playback of the time-shift buffer. This control will only be available if the service being presented on the service context is a broadcast service and if there is a time-shift buffer associated with the service context.

Method Summary
`Time` | `getBeginningOfBuffer()` Get the media time corresponding to the current beginning of the time-shift buffer.
`Time` | `getDuration()` Get the duration of content currently in the time-shift buffer.
`Time` | `getEndOfBuffer()` Get the media time corresponding to the end of the time-shift buffer.
`Time` | `getMaxDuration()` Get the estimated value for the maximum duration of content that could be buffered using this time-shift buffer.

Methods inherited from interface javax.media.Control
`getControlComponent`

Method Detail

### getBeginningOfBuffer

    Time getBeginningOfBuffer()

  Get the media time corresponding to the current beginning of the time-shift buffer. This could be the media time corresponding to start of the buffer, before the buffer wrap around or the media time corresponding to the beginning of the valid buffer area after the wrap around.

  Returns:
    media time corresponding to the beginning of the time-shift buffer.

### getEndOfBuffer

    Time getEndOfBuffer()

  Get the media time corresponding to the end of the time-shift buffer. This could be the current system time if the time-shift recording is still ongoing or the media time corresponding to the end point for the valid area of the time-shift buffer.

  Returns:
    media time corresponding to the end of the time-shift buffer.

### getDuration

    Time getDuration()

  Get the duration of content currently in the time-shift buffer. The value returned is the content's duration when played at a rate of 1.0.

  Returns:
    A Time object representing the duration.

### getMaxDuration

    Time getMaxDuration()

  Get the estimated value for the maximum duration of content that could be buffered using this time-shift buffer. The value returned is the content's duration when played at a rate of 1.0.

  Returns:
    A Time object representing the maximum value for duration.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD